{% extends '@Paa/Default/menu.html.twig' %}

{% block head %}
	<meta name="description" content="Essais divers">
{{ parent() }}
{# LG 20200930 old    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/DataTables/datatables.min.css')}}"/>#}
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/DataTables-1.10.15/css/jquery.dataTables.min.css')}}"/>
{%endblock%}

{#Titre de la page#}
{% block titrePage %}
	<div class = "TitrePage">Essais divers</div><br>
{% endblock %}

{#Corps du body#}
{% block content %}
	<div class = "TitrePage">Chargement d'entityForm dans un popup</div><br>
	<button id = "cmdAnnées">Années</button>
	<button id = "cmdCaisses">Caisses</button>
	<button id = "cmdActivite">Activite</button>
	<button id = "cmdSéance">Séance</button>

<div id="NomTable" style="display: none;">annees</div>
<div id="LibelléTable" style="display: none;">années</div>

<!--	<div id="dialog-form" title="Saisie dans un popup" style="height:auto; display:none;"></div> -->
	<div id="test" style="height:auto;">
		
	</div>
{% endblock %}

{#Scripts qui doivent s'exécuter à la fin du body#}
{% block scriptsEnFinDeBody %}
{{ parent() }}
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityForm.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormGrille.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormBoutons.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormPopup.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGDataTable.js')}}"></script>

	{#DataTable#}
{#LG 20200930 début#}
{#    <script type="text/javascript" src="{{asset_version('vendor/DataTables/datatables.min.js')}}"></script>#}
{#	<script type="text/javascript" src="{{asset_version('vendor/DataTables/dataTables.pageResize.min.js')}}"></script>#}
    <script type="text/javascript" src="{{asset_version('vendor/DataTables-1.10.15/js/jquery.dataTables.min.js')}}"></script>
{#LG 20200930 fin#}
	{#JQueryUI doit être Remis là sinon il ne fonctionne pas (inhibé par DataTables ?)#}
	<script type="text/javascript" src="{{asset_version('vendor/jQueryUI-1.12.1/jquery-ui.min.js')}} "></script>
	
	{# Doit être remis apres jquery, sinon daterangepicker n'est pas reconnu #}
	<script type="text/javascript" src="{{asset_version('vendor/moment/moment.min.js')}}"></script>
	<script type="text/javascript" src="{{asset_version('vendor/bootstrap/daterangepicker/daterangepicker.js')}}"></script>
	<link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/daterangepicker/daterangepicker.css')}}">

	
	
	<script>
        $(document).ready(Essai_DocumentReady);
		function Essai_DocumentReady() {
			loEntityFormPopup = newEntityFormPopup() ;
			$( "#cmdAnnées" ).button().on( "click", function(){loEntityFormPopup.popUpEntité("annees", 3);});
			$( "#cmdCaisses" ).button().on( "click", function(){loEntityFormPopup.popUpEntité("caisses", 3);});
{# MG Ajout Début 20200113                        #}
			$( "#cmdActivite" ).button().on( "click", function(){
                            loEntityFormPopup.popUpEntité("activitesTrad", 1908);
                        });
			$( "#cmdSéance" ).button().on( "click", function(){
                            loEntityFormPopup.popUpEntité("seancesTrad",  40648);
                        });
{# MG Ajout Fin   20200113                        #}
		}
	</script>

{% endblock %}
